html,body {
    height:100%;
}

.stretch-height {
    height: 100%;
}

.stretch-width {
    width: 100%;
}

.nomargin {
    margin: 0px 0px 0px 0px;
}

.nopadding {
    padding: 0px 0px 0px 0px;
}

.nomargin-i {
    margin: 0px 0px 0px 0px !important;
}

.nopadding-i {
    padding: 0px 0px 0px 0px !important;
}

.padding-5 {
    padding: 5px !important;
}

.padding-10 {
    padding: 10px !important;
}

.padding-15 {
    padding: 15px !important;
}

.padding-20 {
    padding: 20px !important;
}


.margin-top-5 {
    margin-top: 5px !important;
}
.margin-top-10 {
    margin-top: 10px !important;
}
.margin-top-15 {
    margin-top: 15px !important;
}
.margin-top-20 {
    margin-top: 20px !important;
}

.margin-right-5 {
    margin-right: 5px !important;
}
.margin-right-10 {
    margin-right: 10px !important;
}
.margin-right-15 {
    margin-right: 15px !important;
}
.margin-right-20 {
    margin-right: 20px !important;
}

.margin-bottom-5 {
    margin-bottom: 5px !important;
}
.margin-bottom-10 {
    margin-bottom: 10px !important;
}
.margin-bottom-15 {
    margin-bottom: 15px !important;
}
.margin-bottom-20 {
    margin-bottom: 20px !important;
}

.margin-left-5 {
    margin-left: 5px !important;
}
.margin-left-10 {
    margin-left: 10px !important;
}
.margin-left-15 {
    margin-left: 15px !important;
}
.margin-left-20 {
    margin-left: 20px !important;
}

.user-profile {
    display: inline-block;
    min-width: 30px !important;
    width: 30px !important;
    height: 30px !important;
    border-radius: 50%;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

div,
input,
md-button,
span,
p {
    font-family: 'Roboto','Sarabun', sans-serif !important;
    font-size: 14px;
}


.text-wrap {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap
}

.md-button {
    text-transform: capitalize !important;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px
}

::-webkit-scrollbar-button {
    background: white
}

::-webkit-scrollbar-track-piece {
    background: whitesmoke
}

::-webkit-scrollbar-thumb {
    background: lightgray
}

.md-toolbar-tools>.md-icon-button>.material-icons {
    color: white;
}

md-autocomplete.hide-error-msg .md-errors-spacer:empty {
    display: none;
}

md-input-container.hide-error-msg .md-errors-spacer:empty {
    display: none;
}

.login-input {
    width: 450px !important;
}

md-sidenav.md-locked-open {
    width: 250px;
    min-width: 250px;
    max-width: 250px;
}

.color-white {
    color: white !important;
}

.color-red {
    color: #f73e3e !important;
}

.color-lblack {
    color: #313131;
}

.color-lblack-light {
    color: #717171;
}

.font-bold {
    font-weight: 900 !important;
}

.background-transparent {
    background-color: transparent !important;
}

.full-height {
    height:calc(100%);
}

.md-table > tbody > tr:hover {
    background-color: #f5f5f5;
}

.table-fixed-header thead {
    display: table;
    width: 100%;
    table-layout: fixed;
}
.table-fixed-header tbody {
    overflow: auto;
    display: block;
    width: 100%;
    table-layout: fixed;
}
.table-fixed-header tr {
    display: table;
    table-layout: fixed;
    width: 100%;
}

:focus {outline:0 !important;}

.nowrap {
    white-space: nowrap;
}

.capsule {
    padding: 5px 10px 5px 10px;
    background-color: rgb(224,224,224);
    border-style: solid;
    border-width: 0;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
}

.md-chips md-chip {
    height: auto !important;
}

.imageViewer {cursor: pointer;transition: 0.3s;}
.imageViewer:hover {opacity: 0.7;}

.md-button.md-small {
    min-width: 1%;
}

.md-button.md-raised {
    border-radius: 5px;
}

.md-select-raised {
    border-radius: 5px;
    border: solid gray;
    border-width: 1px;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 26%);
}

.md-radius {
    border-radius: 20px !important;
}

.md-click {
    cursor: pointer;
}

.md-subheader-inner {
    padding: 10px !important;
}

.md-select-radius {
    background-color: #ffffff;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 5px;
    border: solid;
    border-width: 1px;
    border-color: gray !important;
    margin-right: 10px;
}

.md-input-radius {
    border-radius: 5px;
    padding: 7px;
    border-color: transparent;
    box-shadow: 0 1px 3px 0 rgb(0 0 0 / 20%), 0 1px 1px 0 rgb(0 0 0 / 14%), 0 2px 1px -1px rgb(0 0 0 / 12%);
}

md-autocomplete md-autocomplete-wrap {
    border-radius: 5px;
}

md-autocomplete md-autocomplete-wrap input {
    padding: 7px !important;
}

.md-checkbox-enabled.md-default-theme[selected] .md-icon:after, .md-checkbox-enabled[selected] .md-icon:after {
    border-color: white;
}

.margin-x-10 {
    margin: 0 10px !important;
}

md-grid-list md-grid-tile.content-y-start figure {
    justify-content: flex-start !important;
}

.search-field {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.animate__fastest {
    --animate-duration: 350ms
}

.color-primary {
    color: #063556;
}

.bg-centrix {
    background: #063556;
    background: linear-gradient(351deg, #09446d 10%, #063556 50%, #063556 90%);
}

.bg-red {
    background-color: #f73e3e !important;
}

.color-wsmoke {
    color: #ececec
}

.v-divider {
    height: 30px;width: 2px; background-color: #ececec;
}

.h-divider {
    height: 2px;width: 100%; background-color: #ececec;
}

.text-center {
    text-align: center !important;
}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button {  

   opacity: 1;

}

.md-virtual-repeat-container.md-autocomplete-suggestions-container {
    width:500px !important;
}

.md-badge {
    color:white;
    margin-left: 5px;
    margin-right: 5px;
    background-color: red;
    border-radius: 15px;
    padding: 0px 5px 0px 5px;
}

md-tab-content {
    overflow: hidden !important;
}